The Octopus app is compatible with devices running the following operating systems.


For Apple:

The Octopus Watch App requires iOS 11 or later.


If you are using an older version of iOS, please update it.


For Android:

The Octopus Watch requires Android 6.0 (Marshmallow) or later.


Once you have the right OS, check how to start your Octopus Watch for the first time